#pragma once

#include "TypeDefine.h"
#include "MyList.h"
//采集设置

// CCaptureDlg 对话框

class CCaptureDlg : public CDialog
{
	DECLARE_DYNAMIC(CCaptureDlg)

public:
	CCaptureDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCaptureDlg();

// 对话框数据
	enum { IDD = IDD_DLG_CAPTURE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

public:
	UINT m_uiCardNumber;
	UINT m_uiCardType;
	UINT m_uiVideoMode;
	//"采集设置"中的信息来源..根据"音视频源"中的选择而变
	UINT m_uiRecorderSource;
	//用户是否打开采集功能
	BOOL m_bCh1IsOpened;
	//"采集设置"记录节目信息的变量
	RECORDER_PROGRAM_INFO m_rplProgramInfo;

//	UINT m_nIDTimer;

	CEdit m_RecorderFileDir;
	CScrollBar m_scrollbar_contrast;
	CScrollBar m_scrollbar_light;
	CScrollBar m_scrollbar_hue;
	CScrollBar m_scrollbar_satuation;

	MEDIA_TIME_CODE m_CurrteTime[TSTOPS_MAX_SERVICE_NUMBER];
	UINT ProgranPID[TSTOPS_MAX_SERVICE_NUMBER];
	CString m_strMPEGFilePath[TSTOPS_MAX_SERVICE_NUMBER];
	CMyList	m_ListCtrlTsServiceTable;
	INT m_nTsSearchProgramStatus;
private:
	TS_PROGRAM_INFO TsProgramInfo;
	UINT m_programnum;

public:


	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonWinposSetCapture();
	afx_msg void OnCbnSelchangeComboRecorderPixFmt();
	afx_msg void OnCbnSelchangeComboRecorderSource();
	afx_msg void OnBnClickedButtonRecorderConfig();
	afx_msg void OnBnClickedButtonRecorderBrows();
	afx_msg void OnBnClickedButtonRecorderStart();
	afx_msg void OnBnClickedButtonRecorderStop();
	afx_msg void OnBnClickedCheckRecorderCg();
	afx_msg void OnTimer(UINT nIDEvent);

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButtonPspathSavefileOne();
	afx_msg void OnBnClickedButtonPspathSavefileTwo();
	afx_msg void OnBnClickedButtonPspathSavefileThree();
	afx_msg void OnBnClickedButtonPspathSavefileFour();
	afx_msg void OnBnClickedButtonPspathSavefileFive();
	afx_msg void OnBnClickedButtonPspathSavefileSix();
	afx_msg void OnBnClickedButtonBigen();
	afx_msg void OnBnClickedButtonBigen2();
	afx_msg void OnBnClickedButtonBigen3();
	afx_msg void OnBnClickedButtonBigen4();
	afx_msg void OnBnClickedButtonBigen5();
	afx_msg void OnBnClickedButtonBigen6();
	afx_msg void OnCbnSelchangeComboRecorderFormat();
};
